Skip to main content
GET
Get customer coupons

Authorizations

Authorization
string
header
required

Opaque Authorization header using the Bearer scheme. Example: "Authorization: Bearer {token}"

Path Parameters

customerId
string
required

The id of the customer.

Query Parameters

includedRelations
enum<string>[]

List of relations that should be included.

Available options:
StoresAndChains,
Discount
queryRedeemed
boolean
default:false

Specifies if the redeemed coupons are included.

preferredStore
string

The preferred store of the customer.

storeId
string

The selected store to retrieve related available coupons.

chainId
string

The selected chain to retrieve related available coupons.

Response

OK

coupons
object[]
required

All coupons that match the query. Never null, but can be empty.

Last modified on August 10, 2026